Summary:	QSvn - Subversion Client
Name:		qsvn
Version:	0.8.1
Release:	alt0.M50.1
License:	GPLv2
Group:		Development/Other
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Source0:	https://www.anrichter.net/projects/qsvn/chrome/site/%name-%version-src.tar.gz
Source1:	%name.desktop
Patch0:		%name-libsvnqt.patch
URL:		https://www.anrichter.net/projects/qsvn

BuildRequires: ImageMagick cmake gcc-c++ libexpat-devel libldap-devel libqt4-devel libsubversion-devel
# # libsvnqt-devel

%description
QSvn is a graphical Subversion Client for Linux, UNIX, Windows and Mac
OS X. We use the Subversion API for all Subversion actions and the Qt4
C++ toolkit from Trolltech for platform independent programming.

# for backport
%package devel
Summary: %name header Files
Group: Development/C
BuildArch: noarch

# for backport
%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%prep
%setup -q -n %name-%version
# #%patch0 -p1

%build
export PATH=$PATH:%_qt4dir/bin
install -d build
cd build
cmake ../src \
        -DCMAKE_INSTALL_PREFIX=%_prefix \
        -DCMAKE_SKIP_RPATH=YES \
        -DCMAKE_CXX_FLAGS:STRING="%optflags"
%make_build

%install
%__install -Dp -m 0644 %SOURCE1 %buildroot%_desktopdir/%name.desktop
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 16x16 src/images/%name.png %buildroot%_miconsdir/%name.png
convert -resize 32x32 src/images/%name.png %buildroot%_niconsdir/%name.png
convert -resize 48x48 src/images/%name.png %buildroot%_liconsdir/%name.png
cd build
%make DESTDIR=%buildroot install

%files
%doc ChangeLog INSTALL README
%_bindir/*

# for backport
%_libdir/lib*.so*

%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.png

# for backport
%files devel
%dir %_includedir/svnqt
%dir %_includedir/svnqt/cache
%_includedir/svnqt

%changelog
* Tue May 26 2009 Motsyo Gennadi <drool@altlinux.ru> 0.8.1-alt0.M50.1
- build for M50 (build with internal libsvnqt, see #19189)
- add %name-devel package (now needed)

* Sun Mar 22 2009 Motsyo Gennadi <drool@altlinux.ru> 0.8.1-alt2
- build with external libsvnqt (fix #19189), thanks to boris@ for help
- remove %name-devel package (not needed)

* Mon Feb 23 2009 Motsyo Gennadi <drool@altlinux.ru> 0.8.1-alt1
- 0.8.1 - BugFixes
  + Fix a crash on show diff without an external diff viewer
  + Fix a link error on Mac OS X

* Wed Feb 04 2009 Motsyo Gennadi <drool@altlinux.ru> 0.8.0-alt1
- 0.8.0 release

* Sun Nov 23 2008 Motsyo Gennadi <drool@altlinux.ru> 0.7.1-alt2.1
- really delete post/postun scripts

* Thu Nov 20 2008 Motsyo Gennadi <drool@altlinux.ru> 0.7.1-alt2
- delete post/postun scripts (new rpm)
- fix Url

* Thu Oct 16 2008 Motsyo Gennadi <drool@altlinux.ru> 0.7.1-alt1
- 0.7.1 release

* Wed Sep 17 2008 Motsyo Gennadi <drool@altlinux.ru> 0.7.0-alt1.1
- refresh BuildRequires (add libldap-devel)

* Sat Sep 06 2008 Motsyo Gennadi <drool@altlinux.ru> 0.7.0-alt1
- 0.7.0 release

* Sun Aug 31 2008 Motsyo Gennadi <drool@altlinux.ru> 0.6.2-alt0.svn998
- new svn version

* Sun Aug 24 2008 Motsyo Gennadi <drool@altlinux.ru> 0.6.2-alt0.svn995
- new svn version

* Thu Jun 19 2008 Motsyo Gennadi <drool@altlinux.ru> 0.6.2-alt0.svn957
- new svn version
  + Fix problems with cmake 2.6 according to http://public.kitware.com/Bug/view.php?id=7102 Thanks to Motsyo Gennadi from ALT-Linux for the patch.
  + return a result in update
  + #40 - getUUID works also with urls
  + #40 - increase the call-time for merge from showlog with pass through the wc-path for getUUID.
  + #40 - add status-text for merge and dry-run.
  + #40 - Basic implementation of Merge for QSvn 0.7.0 is finished
  + #57 - remove from disk works on windows now. (QFile::setPermissions)
    - clean FileListView in MainWindow when remove a WorkingCopy from the FavoritesList
  + #64 - rework CMakeLists.txt.
    - remove some whitespaces
    - set library-path on 64bit-systems to lib64
  + #64 - add Fix to ChangeLog

* Sun Jun 15 2008 Motsyo Gennadi <drool@altlinux.ru> 0.6.2-alt0.svn948
- new svn version
  + #40 - save and restore values for edits in merge-dialog

* Thu Jun 12 2008 Motsyo Gennadi <drool@altlinux.ru> 0.6.2-alt0.svn946
- new svn version
- fix build with cmake >= 2.6.0 (thanks to wrar for help)

* Sun May 04 2008 Motsyo Gennadi <drool@altlinux.ru> 0.6.1-alt1
- build for Sisyphus

* Tue Feb 12 2008 Motsyo Gennadi <drool@altlinux.ru> 0.6.1-alt0
- 0.6.1

* Sat Nov 10 2007 Motsyo Gennadi <drool@altlinux.ru> 0.5.0-alt0
- initial build for ALT Linux
